package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*属性值表
* @author quyixiao
* @since 2025-08-24
*/

@Data
@TableName("vv_category_property_value")
public class VvCategoryPropertyValueEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvCategoryPropertyValueEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                            // 修改时间
    public final static String category_property_id = CLASS_NAME + "category_property_id";          // 属性id
    public final static String category_property_value = CLASS_NAME + "category_property_value";    // 具体的属性
    public final static String default_sort = CLASS_NAME + "default_sort";                          // 排序
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //属性id
    private Long categoryPropertyId;
    //具体的属性
    private String categoryPropertyValue;
    //排序
    private Integer defaultSort;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 属性id 
     * @return
     */
    public Long getCategoryPropertyId() {
        return categoryPropertyId;
    }
    /**
     * 属性id 
     * @param categoryPropertyId
     */
    public void setCategoryPropertyId(Long categoryPropertyId) {
        this.categoryPropertyId = categoryPropertyId;
    }

    /**
     * 具体的属性 
     * @return
     */
    public String getCategoryPropertyValue() {
        return categoryPropertyValue;
    }
    /**
     * 具体的属性 
     * @param categoryPropertyValue
     */
    public void setCategoryPropertyValue(String categoryPropertyValue) {
        this.categoryPropertyValue = categoryPropertyValue;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    @Override
    public String toString() {
        return "VvCategoryPropertyValueEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",categoryPropertyId=" + categoryPropertyId +
                ",categoryPropertyValue=" + categoryPropertyValue +
                ",defaultSort=" + defaultSort +
                "}";
    }
}